# SelectGenderPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SelectGenderPhase

#### Hierarchy (View Summary)

- Phase
  - SelectGenderPhase

- Defined in src/phases/select-gender-phase.ts:8

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new SelectGenderPhase(): SelectGenderPhase

  #### Returns SelectGenderPhase

  Overrides Phase.constructor

  - Defined in src/phases/select-gender-phase.ts:9

## Methods

### end

- end(): void

  #### Returns void

  Overrides Phase.end

  - Defined in src/phases/select-gender-phase.ts:42

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/select-gender-phase.ts:13